%define anolis_release 4
%global srcname requests-file

Name:           python-%{srcname}
Version:        1.5.1
Release:        %{anolis_release}%{?dist}
Summary:        Transport adapter for using file:// URLs with python-requests

License:        ASL 2.0
URL:            https://github.com/dashea/requests-file
Source0:        %pypi_source

BuildArch:      noarch

%description
Requests-File is a transport adapter for use with the Requests Python
library to allow local file system access via file:// URLs.

This is the Python 2 version of the requests_file module

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package -n python3-requests-file
Summary:        Transport adapter for using file:// URLs with python3-requests
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-requests
BuildRequires:  python3-six

Requires:       python3-requests
Requires:       python3-six

%description -n python3-requests-file
Requests-File is a transport adapter for use with the Requests Python
library to allow local file system access via file:// URLs.

This is the Python 3 version of the requests_file module

%prep
%autosetup -n %{srcname}-%{version}
rm -rf requests_file.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%{pytest}

%files -n python3-requests-file
%license LICENSE
%{python3_sitelib}/requests_file.py*
%{python3_sitelib}/__pycache__/requests_file.*
%{python3_sitelib}/requests_file-%{version}.dist-info/

%files doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.5.1-4
- Rebuild with python3.11

* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.1-3
- optimise dependency

* Wed Nov 02 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.1-2
- add doc package

* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.5.1-1
- init from upstream
